/*
###############################################################################
# This file is part of TICKET, the Traffic Information Collection Kernel with
# Exact Timing. This program and all associated files are Copyright (C) 2001
# by Eric H. Weigle of Los Alamos National Laboratory.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# ------------------------------------------------------------
# 
# You may contact the author (Eric H. Weigle) via email at ehw@lanl.gov,
# or via postal mail at MS D451, P.O. Box 1663, Los Alamos NM  87545.
# 
# Should you fail to reach the author at these addresses, please refer to the
# following websites for updated information or other means by which he can
# be contacted:
# 	http://public.lanl.gov/ehw/ 
# 	http://public.lanl.gov/radiant/
#
###############################################################################
*/
// #############################################################################
// User networking code;
//
// Wrappers for UDP socket initialization, recvfrom and sendto.
// #############################################################################

#ifndef TICKET_USER_NETWORK_H
#define TICKET_USER_NETWORK_H

#include "shared_network.h"

#include <sys/socket.h>  // socket
#include <netinet/in.h>  // struct sockaddr_in, etc
#include <netdb.h>       // for gethostbyname()
#include <strings.h>     // for bzero() and others
#include <string.h>      // for strerror and strncpy
#include <stdio.h>       // for printf, perror()
#include <errno.h>       // for errno

// =============================================================================
// FUNCTION DECLARATIONS. Info in associated C file.
// =============================================================================
int create_udp_socket(char *server_name, struct sockaddr_in *serv_addr, int bufsize, int verbosity);
int full_recvfrom(int fd, char *buf, int length, int flags, struct sockaddr_in *addr, char *fail_msg);
int full_sendto(int fd, char *buf, int length, struct sockaddr_in *addr, char *fail_msg);

#endif

