/*
###############################################################################
# This file is part of TICKET, the Traffic Information Collection Kernel with
# Exact Timing. This program and all associated files are Copyright (C) 2001
# by Eric H. Weigle of Los Alamos National Laboratory.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# ------------------------------------------------------------
# 
# You may contact the author (Eric H. Weigle) via email at ehw@lanl.gov,
# or via postal mail at MS D451, P.O. Box 1663, Los Alamos NM  87545.
# 
# Should you fail to reach the author at these addresses, please refer to the
# following websites for updated information or other means by which he can
# be contacted:
# 	http://public.lanl.gov/ehw/ 
# 	http://public.lanl.gov/radiant/
#
###############################################################################
*/
// #############################################################################
// Basic printing functions to display our data.
// #############################################################################

#ifndef EW_TICKET_PRINT_H
#define EW_TICKET_PRINT_H

#include <stdio.h>            // need FILE * for below...
#include "read_anon.h"
#include "../common/shared_dump.h"

// The 'protocol field in IP holds these values for UDP and TCP.
// see RFCs 768, 1180, 2460, etc. etc. Search google.
// TODO Also duplicated in common files...
#ifndef UDP_HDR_PROTOCOL
#define UDP_HDR_PROTOCOL 17
#endif
#ifndef TCP_HDR_PROTOCOL
#define TCP_HDR_PROTOCOL  6
#endif

// =============================================================================
// Functions: print out the packet to the given file.
//    Each produces slightly different output.
//    See print.c for more info.
// =============================================================================
void print_dump_packet(FILE *file, struct dump_packet *p, void (*print_fn)(FILE *file, struct collected_headers *data));
void print_data_dumb(FILE *file, const struct collected_headers *data);
void print_data_smart(FILE *file, const struct collected_headers *data);
void print_data_tcpdump(FILE *file, const struct collected_headers *data);
void print_data_minimal(FILE *file, const struct collected_headers *data);
void print_data_processed(FILE *file, const struct processed_headers *data);

#endif

