/*
###############################################################################
# This file is part of TICKET, the Traffic Information Collection Kernel with
# Exact Timing. This program and all associated files are Copyright (C) 2001
# by Eric H. Weigle of Los Alamos National Laboratory.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# ------------------------------------------------------------
# 
# You may contact the author (Eric H. Weigle) via email at ehw@lanl.gov,
# or via postal mail at MS D451, P.O. Box 1663, Los Alamos NM  87545.
# 
# Should you fail to reach the author at these addresses, please refer to the
# following websites for updated information or other means by which he can
# be contacted:
# 	http://public.lanl.gov/ehw/ 
# 	http://public.lanl.gov/radiant/
#
###############################################################################
*/
// #############################################################################
// Reader header file.
// #############################################################################

#ifndef EHW_READER_H
#define EHW_READER_H

#include "../common/shared_dump.h"
#include "read_anon.h"

// =============================================================================
// Functions.
// =============================================================================
void reader_usage(char *error) __attribute__ ((noreturn));
void parse_reader_command_line(int argc, char *argv[], int *file_count, char ***filenames, unsigned long *cpu_speed, unsigned long *trace_start);
void ntoh_collected_header(struct collected_headers *hdr);
void ntoh_processed_header(struct processed_headers *hdr);
void hton_processed_header(struct processed_headers *hdr);
void do_raw_read(char **filenames, int file_count, int (*analysis_fn)(struct dump_packet *pkt, char *cur_file));
void do_processed_read(char **filenames, int file_count, size_t struct_size, int (*analysis_fn)(void *data, char *cur_file));

#endif

