/*
###############################################################################
# This file is part of TICKET, the Traffic Information Collection Kernel with
# Exact Timing. This program and all associated files are Copyright (C) 2001
# by Eric H. Weigle of Los Alamos National Laboratory.
# 
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
# 
# ------------------------------------------------------------
# 
# You may contact the author (Eric H. Weigle) via email at ehw@lanl.gov,
# or via postal mail at MS D451, P.O. Box 1663, Los Alamos NM  87545.
# 
# Should you fail to reach the author at these addresses, please refer to the
# following websites for updated information or other means by which he can
# be contacted:
# 	http://public.lanl.gov/ehw/ 
# 	http://public.lanl.gov/radiant/
#
###############################################################################
*/
// ############################################################################
// A simple reader program to demonstrate the use of the API.
//
// Useful as a base for more complex analysis programs.
// ############################################################################
#include <stdio.h>
#include <stdlib.h>
#include "read_common.h"
#include "read_anon.h"
#include "print.h"

// =============================================================================
// Just print out.
// =============================================================================
int print_processed_wrapper(void *data, char *cur_file) {
	// ignore cur_file...

	// convert endianness and print
	ntoh_processed_header((struct processed_headers *)data);
	print_data_processed(stdout, (struct processed_headers *)data);
	return(1);
}


// =============================================================================
// The main routine
// =============================================================================
int main(int argc, char *argv[]) {
	int idx, file_count=0;
	char **filenames=NULL;

	// parse command line.
	parse_reader_command_line(argc, argv, &file_count, &filenames, NULL, NULL);

	// begin testing code.
	do_processed_read(filenames, file_count, sizeof(struct processed_headers), &print_processed_wrapper);

	// clean up allocations
	for (idx=0; idx<file_count; idx++) {
		free(filenames[idx]);
	}
	free(filenames);

	exit(0);
}

